<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="UTF-8">

    <title>User details</title>
    <link rel="stylesheet" type="text/css" href="../static/css/styles.css" th:href="@{/css/styles.css}">
    <link rel="stylesheet" type="text/css" href="../static/css/user-detail.css" th:href="@{/css/user-detail.css}">

    <!-- Bootstrap css -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="../static/css/fontawesome-free-5.12.0-web/css/all.css"
          th:href="@{/css/fontawesome-free-5.12.0-web/css/all.css}">

</head>
<body>
<!--<p>-->
<!--    <i th:if="${error != null}" th:text="${error}" class="error"></i>-->
<!--</p>-->
<div class="container-fluid">
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <a class="navbar-brand" href="/">Beer-Tag</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item ">
                    <a class="nav-link" href="/beers">Beers </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="/breweries">Breweries</a>
                </li>
                <li class="nav-item ">
                    <a class="nav-link" href="/users">Users</a>
                </li>
            </ul>
            <ul class="nav navbar-nav ml-auto">
                <li class="nav-item " sec:authorize="isAnonymous()">
                    <a class="nav-link" href="/login">Login</a>
                </li>
                <li class="nav-item  active" sec:authorize="isAuthenticated()">
                    <a class="nav-link" th:href="@{'/users/'+ ${userPrincipal.id}}">My profile</a>
                </li>
                <li class="nav-item" sec:authorize="isAuthenticated()">
                    <a class="nav-link" th:href="@{'/users/'+ ${userPrincipal.id}}">
                        <img th:src="${userPrincipal.photo}" class=" profile-picture"></a>
                </li>
                <li>
                    <form style="margin-top: 0;" sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
                        <input type="submit" class="btn btn-link btn-logout" value="Logout"/>
                    </form>
                </li>
            </ul>
        </div>
    </nav>
    <!-- end of navbar -->
</div>
<br>
<!--<p>-->
<!--    <i th:if="${error != null}" th:text="${error}" class="error"></i>-->
<!--</p>-->

<div id="demo" class="container">
    <div class="row">

        <div class="col-5">
            <br>
            <div>
                <img th:src="${userDetail.photo}" class=" profile-picture-user">
            </div>

        </div>
        <div class="col-7">
            <br>
            <div>
                <i class="fas fa-userDetail"></i>
                <h2 class="profile-card"><span th:text="${userDetail.firstName}"></span>

                    <span th:text="${userDetail.lastName}"></span></h2>

                <div>
                    <br>

                    <p><i class="fas fa-envelope-square"></i> <span th:text="${userDetail.email}"></span></p>
                    <p><i class="fas fa-globe-europe"></i> <span th:text="${userDetail.country.name}"></span></p>
                    <label th:if="${#authorization.expression('hasRole(''ADMIN'')')}
                    and ${userPrincipal.email}==${userDetail.email}">
                        <img src="https://images.cooltext.com/5370536.png" width="200" height="100" alt="Admin"/></label>
                </div>
            </div>
            <br>
            <form th:if="${userPrincipal.email}==${userDetail.email} or ${#authorization.expression('hasRole(''ADMIN'')')}"
                  th:action="@{/updateUser/ {path}(path=${userDetail.id})}">

                <button type="submit" class="colorbtn btn btn-outline-dark"> Edit personal data</button>
            </form>

            <form th:if="${userPrincipal.email}==${userDetail.email} or ${#authorization.expression('hasRole(''ADMIN'')')}"
                  th:action="@{/users/delete/{path}(path=${userDetail.id})}" method="post">

                <button type="submit" class="btn btn-outline-dark"> Delete profile</button>
            </form>
            <br>
        </div>
    </div>
</div>
<br>
<br>
<br>
<br>
<br>
<div class="container">
    <div class="row">

        <div class="col">

            <a href="#drank"><img src="https://images.cooltext.com/5370077.png" width="336" height="78"
                                  alt="Drank List"/></a>

        </div>
        <div class="col-3">

            <a href="#topThree"><img src="https://images.cooltext.com/5370079.png" width="178" height="77"
                                     alt="Top 3"/></a>

        </div>
        <div class="col" style="float:right">

            <a href="#wish"><img src="https://images.cooltext.com/5370078.png" width="298" height="79"
                                 alt="Wish List"/></a>

        </div>
    </div>
</div>

<div id="drank" class="overlay">
    <div class="popup">
        <h2>Drunk list</h2>
        <a id="close-pop1" class="close" href="#">&times;</a>

        <div id="content1">
            <div class="form-row">

                <table class="table table-hover">
                    <tr>
                        <th scope="col">Beer</th>
                        <th scope="col">Rating</th>
                        <th scope="col">Delete</th>
                    </tr>
                    <tbody th:each="beer:${userDetail.getDrankList()}">
                    <tr>
                        <td>
                            <a th:with="beerUrl = ${beer.id}" th:href="@{'/beers/'+ ${beerUrl}}"
                               th:text="${beer.name}"></a>
                        </td>
                        <td th:text="${beer.averageRating}"> Rating</td>
                        <td th:if="${userPrincipal.email}==${userDetail.email}" >
                            <button type="button" style="background: none; font-size: 30px; border: none; color: red"
                                    th:onclick="|window.location.href='/users/removeFromList/${beer.getId()}'|"><i class="fas fa-window-close"></i>
                            </button>
                        </td>
                    </tr>
                    </tbody>
                </table>

            </div>
        </div>
    </div>
</div>

<div id="wish" class="overlay">
    <div class="popup">
        <h2>Wish list list</h2>
        <a id="close-pop2" class="close" href="#">&times;</a>

        <div id="content2">
            <div class="form-row">

                <table class="table table-hover">
                    <tr>
                        <th scope="col">Beer</th>
                        <th scope="col">Rating</th>
                        <th scope="col">Delete</th>
                    </tr>
                    <tbody th:each="beer:${userDetail.wishList}">
                    <tr>
                        <td>
                            <a th:with="beerUrl = ${beer.id}" th:href="@{'/beers/'+ ${beerUrl}}"
                               th:text="${beer.name}"></a>
                        </td>
                        <td th:text="${beer.averageRating}"> Rating</td>
                        <td th:if="${userPrincipal.email}==${userDetail.email}" >
                            <button type="button" style="background: none; font-size: 30px; border: none; color: red"
                                    th:onclick="|window.location.href='/users/removeFromList/${beer.getId()}'|"><i class="fas fa-window-close"></i>
                            </button>
                        </td>
                    </tr>
                    </tbody>
                </table>

            </div>
        </div>
    </div>
</div>

<div id="topThree" class="overlay">
    <div class="popup">
        <h2>Wish list</h2>
        <a id="close-pop" class="close" href="#">&times;</a>

        <div id="content">
            <div class="form-row">

                <table class="table table-hover">
                    <tr>
                        <th scope="col">Beer</th>
                        <th scope="col">Rating</th>

                    </tr>
                    <tbody th:each="beer:${topThreeBeers}">
                    <tr>
                        <td>
                            <a th:with="beerUrl = ${beer.id}" th:href="@{'/beers/'+ ${beerUrl}}"
                               th:text="${beer.name}"></a>
                        </td>
                        <td th:text="${beer.averageRating}"> Rating</td>
                    </tr>
                    </tbody>
                </table>

            </div>
        </div>
    </div>
</div>

<!-- Bootstrap, JQuery and Popperjs -->
<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>
</body>
</html>

